Eclipse上でJSPでエラーとなる

JSPのエディタ上で

javax.servlet.jsp.PageContext cannot be resolved to a type

とか、JspExceptionとかで赤くなるケースがある。バリデーションの設定を変更するのは面倒だけど、pom.xmlに

    <dependency>
        <groupId>javax.servlet.jsp</groupId>
        <artifactId>jsp-api</artifactId>
        <version>2.2</version>
        <scope>provided</scope>
    </dependency>

という感じで追加しておけば改善される。

カテゴリー: Java パーマリンク

コメントを残す

メールアドレスが公開されることはありません。

Time limit is exhausted. Please reload the CAPTCHA.